Bug 13185 - ldb debug: prints binary data to stderr
ldb debug: prints binary data to stderr
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 regression
: 4.8
Assigned To: Gary Lockyer
Samba QA Contact
:
Depends on: 13306
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-12 11:40 UTC by Björn Baumbach
Modified: 2018-03-07 11:47 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Baumbach 2017-12-12 11:40:11 UTC
Creating existing objects produces an ugly error message with binary content.

The debug level is 0 here, the error is printed by ldb_debug_stderr():

# bin/samba-tool user create newuser Passw0rd -d0
../lib/ldb/ldb_tdb/ldb_index.c:1772: unique index violation on @IDXDN in CN=newuser,CN=Users,DC=n4d,DC=tld, conficts with ��:�D�ف4a΄� in @INDEX:@IDXDN:CN=NEWUSER,CN=USERS,DC=N4D,DC=TLD
ERROR(ldb): Failed to add user 'newuser':  - Entry CN=newuser,CN=Users,DC=n4d,DC=tld already exists
Comment 1 Stefan Metzmacher 2018-02-21 00:06:51 UTC
Andrew, can you please have a look at this?

Thanks!
Comment 2 Andrew Bartlett 2018-02-21 00:12:17 UTC
Gary,

Can you please look at this for me, I'm swamped.

Thanks,
Comment 3 Stefan Metzmacher 2018-03-07 11:47:48 UTC
Fixed in 4.8.0rc4